
Redmine - Defect #6568

Custom field min_length and max_length checks and multibyte strings

2010-10-04 14:45 - Vitaliy Ischenko

Status: Closed Start date: 2010-10-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

If custom field contains multibyte string as a value, CustomValue.validate method will fail if byte length of string is out of range

[min_length, max_length].

I've tried to use ActiveSupport::Multibyte::Chars and it fixed my case, but i don't know whether it is a right solution.

Related issues:

Has duplicate Redmine - Defect #7490: issue's custom  field string length check Closed 2011-01-29

History

#1 - 2010-10-04 15:47 - Felix Schäfer

Could you please give steps to reproduce this problem, i.e. what custom field did you create with what options, and what did you try to put in this

custom field?

#2 - 2010-10-04 17:58 - Vitaliy Ischenko

I've created ProjectCustomField

For example:

1. Name: Test

2. Format: text

3. Min length: 5

4. Max length: 7

no default value, no regex

checkboxes left untouched

Then i've navigated to project settings and entered value 'АБВГДЕЖ'

After submitting - validation error appears: "Test is too long (maximum is 7 characters)"

#3 - 2010-10-04 18:00 - Vitaliy Ischenko

I've forgotten to mention a link http://stackoverflow.com/questions/1989154/does-ruby-share-phps-multibyte-string-problem

#4 - 2010-10-05 15:33 - Felix Schäfer

I can confirm this problem, but I think as rails3/ruby1.9 is "around the corner", there's no big motivation for the core redmine to get adapted, though

what you propose seems to be the preferred way to solve that. If you want to contribute those fixes back, make sure the existing tests pass and

create some new to test the multibyte characters.

#5 - 2014-07-16 14:33 - Go MAEDA

Current Redmine can handle multibyte strings right. This issue can be closed.

#6 - 2014-08-15 03:35 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

It depends on Ruby 1.8 or not.

Ruby 1.8 support is dropped on Rails4.
